Subject: Re: bug#75628: 31.0.50; Error sending mail using SMTP - base64 encoding fails

From: Eli Zaretskii <[email-masked]>
Date: Fri, 17 Jan 2025 14:55:55 +0200

> Date: Fri, 17 Jan 2025 10:18:52 +0000
> From:  Ingo Brunberg via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> When I try to send mail with emacs using SMTP, I get error "Multibyte character
> in data for base64 encoding".
> 
> In the current code I have narrowed it down to line 637 in smtpmail.el, where an
> attempt is made to base64 encode a string containing the password which, of
> course, can contain multibyte characters.
> 
> With a simple password some time ago, I could send mail.

Thanks, but please show a complete recipe, preferably starting from
"emacs -Q".

base64 encoding indeed requires its input to be a unibyte string, but
it is impossible to guess how this failed to happen without seeing the
sequence of commands you typed to trigger the problem.